(function() {
  window.bazingaApp.views.assessmentCheckboxScreen = window.bazingaApp.views.abstractModuleView.extend(
    {
      checkScore: function(checkboxes) {
        var currentScore = window.bazingaApp.models.api.getPrimaryScore() || 0;
        if (checkboxes.state == "passed") {
          console.log("Checkbox was successfully completed");
          window.bazingaApp.models.api.setPageScore(100);
        }
      },

      //https://gist.github.com/anonymous/a777a5b7d2e8f0de9931
      completionCheck: function(context, options) {
        var self = this;
        switch (options.tgtType) {
          case "checkboxes":
            var source = options.source;
            self.checkScore(source);
            break;
          default:
            break;
        }
      },

      loaded: function() {
        /*console.log(
          "quiz attempts " + window.bazingaApp.models.api.getQuizAttempts()
        );
        console.log(
          "current score " + window.bazingaApp.models.api.getPrimaryScore()
        );*/

        $(".trueFalseContainer .button").on("click touchend", function() {
			console.log("trigger submit");
          var theSubmit = $(this).parent().attr("data-submit");
			$(theSubmit).trigger("click");
        });
      }
    }
  );

  window.pageIntialized = false;
  $(document).ready(function() {
    window.bazingaApp.assessmentCheckboxScreen = new window.bazingaApp.views.assessmentCheckboxScreen();
    window.bazingaApp.assessmentCheckboxScreen.load();
    //dont put js scripts in here . use the pageview.loaded function to start initializing page level functionalities
  });
})();
